import { mainClient, skeletonClient } from '@/api/clients'
import type { IApiResponse } from '@/api/types'

/**
 * 请求备用更新包
 */
export async function requestUpdatePackage(type: string, version: string) {
  const res = await skeletonClient.request<IApiResponse>({
    url: 'common/apkConfig/getBackupUpdateUrl',
    method: 'POST',
    data: { type, version }
  })
  return res
}

/**
 * 检测问题版本号及修复更新包
 */
export async function checkProblemVersion(type: string, version: string) {
  const res = await skeletonClient.request<IApiResponse>({
    url: 'common/apkConfig/getUpdateUrl',
    method: 'POST',
    data: { type, version }
  })
  return res
}
